Bug 1793523 - gnome-abrt fails to build with gcc 10: multiple definition of `_PyGObject_API'
Summary: gnome-abrt fails to build with gcc 10: multiple definition of `_PyGObject_API'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 14:06 UTC by Miro Hrončok
Modified: 2020-02-12 10:18 UTC (History)
8 users (show)

Fixed In Version: gnome-abrt-1.3.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-12 10:18:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-21 14:06:59 UTC
gnome-abrt fails to build with gcc 10:

libtool: link:  gcc -shared  -fPIC -DPIC  .libs/_wrappers_la-module.o .libs/_wrappers_la-configure.o .libs/_wrappers_la-problem_details.o .libs/_wrappers_la-problem_app.o .libs/_wrappers_la-xserver_check.o   -lcrypt -lpthread -ldl -lutil -lm -lreport-gtk -labrt_gui -labrt -lreport -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lharfbuzz -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lX11 -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -O2 -g -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -Wl,-z -Wl,relro -Wl,--as-needed -Wl,-z -Wl,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld   -Wl,-soname -Wl,_wrappers.so -Wl,-version-script -Wl,.libs/_wrappers.ver -o .libs/_wrappers.so
make[3]: Leaving directory '/builddir/build/BUILD/gnome-abrt-1.2.9/src/gnome_abrt/wrappers'
/usr/bin/ld: .libs/_wrappers_la-configure.o:/usr/include/pygobject-3.0/pygobject.h:230: multiple definition of `_PyGObject_API'; .libs/_wrappers_la-module.o:/usr/include/pygobject-3.0/pygobject.h:230: first defined here
/usr/bin/ld: .libs/_wrappers_la-problem_details.o:/usr/include/pygobject-3.0/pygobject.h:230: multiple definition of `_PyGObject_API'; .libs/_wrappers_la-module.o:/usr/include/pygobject-3.0/pygobject.h:230: first defined here
/usr/bin/ld: .libs/_wrappers_la-problem_app.o:/usr/include/pygobject-3.0/pygobject.h:230: multiple definition of `_PyGObject_API'; .libs/_wrappers_la-module.o:/usr/include/pygobject-3.0/pygobject.h:230: first defined here
/usr/bin/ld: .libs/_wrappers_la-xserver_check.o:/usr/include/pygobject-3.0/pygobject.h:230: multiple definition of `_PyGObject_API'; .libs/_wrappers_la-module.o:/usr/include/pygobject-3.0/pygobject.h:230: first defined here
collect2: error: ld returned 1 exit status


This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Ben Cotton 2020-02-11 17:30:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.